Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class FlatFileOptionsFactoryAssembler

    java.lang.Object
      com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler

Direct Known Subclasses:
  AnnotationRecordFactoryAssembler, BinaryFieldFactoryAssembler, CombineFlatRecordsFactoryAssembler, DelimitedFieldFactoryAssembler, DelimitedNamedFieldFactoryAssembler, FlatFileAssembler, FlatFileBodyFactoryAssembler, FlatFileHeaderAssembler, FlatFileReaderFactoryAssembler, FlatFileTrailerAssembler, FlatFileWriterFactoryAssembler, FlatRecordTypeChoiceFactoryAssembler, FlatRecordTypeFactoryAssembler, IntegerFieldFactoryAssembler, MergeSegmentsFactoryAssembler, NonrepeatingGroupFactoryAssembler, OtherwiseFlatRecordTypeFactoryAssembler, OverpunchFieldFactoryAssembler, PackedDecimalFieldFactoryAssembler, PositionalFieldFactoryAssembler, RepeatingFieldFactoryAssembler, RepeatingGroupFactoryAssembler, VbsFlatRecordTypeFactoryAssembler, WhenFlatRecordTypeFactoryAssembler

    public abstract class FlatFileOptionsFactoryAssembler

extends java.lang.Object

Constructor Summary
`FlatFileOptionsFactoryAssembler()`

Method Summary
`FlatFileOptionsFactory` | `assembleFlatFileOptions(ConfigurationContext context)`
`void` | `injectComponent(CommentStarter[] commentStarters)`
`void` | `injectComponent(FieldDelimiterFactory[] fieldDelimiterFactories)`
`void` | `injectComponent(NameDelimiterFactory[] nameDelimiterFactories)`
`void` | `injectComponent(QuoteSymbol quoteSymbol)`
`void` | `injectComponent(RecordDelimiterFactory[] recordDelimiterFactories)`
`void` | `injectComponent(RepeatDelimiterFactory[] repeatDelimiterFactories)`
`void` | `injectComponent(SegmentDelimiterFactory[] segmentDelimiterFactories)`
`void` | `injectComponent(SubfieldDelimiterFactory[] subfieldDelimiterFactories)`
`void` | `setAlwaysQuote(java.lang.String value)`
`void` | `setCountPositionsInBytes(java.lang.String countPositionsInBytes)`
`void` | `setFlushRecordOnWrite(java.lang.String value)`
`void` | `setIgnoreEmptyLines(java.lang.String ignoreEmptyLines)`
`void` | `setIgnoreTrailingEmptyLines(java.lang.String ignoreTrailingEmptyLines)`
`void` | `setIndexBase(int indexBase)`
`void` | `setJustify(java.lang.String value)`
`void` | `setLineDelimited(java.lang.String lineDelimited)`
`void` | `setOmitFinalFieldDelimiter(java.lang.String omitFinalFieldDelimiter)`
`void` | `setOmitFinalRepeatDelimiter(java.lang.String omitFinalRepeatDelimiter)`
`void` | `setPadCharacter(java.lang.String padCharacter)`
`void` | `setQuote(java.lang.String value)`
`void` | `setTrim(java.lang.String value)`
`void` | `setTrimLeading(java.lang.String trimLeading)`
`void` | `setTrimLeadingWithinQuotes(java.lang.String trimLeadingWithinQuotes)`
`void` | `setTrimQuoted(java.lang.String value)`
`void` | `setTrimTrailing(java.lang.String trimTrailing)`
`void` | `setTrimTrailingWithinQuotes(java.lang.String trimTrailingWithinQuotes)`
`void` | `setTrimWithinQuotes(java.lang.String value)`
`void` | `setZeroBased(boolean zeroBased)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatFileOptionsFactoryAssembler

    public FlatFileOptionsFactoryAssembler()

Method Detail

### injectComponent

    public void injectComponent(RecordDelimiterFactory[] recordDelimiterFactories)

### injectComponent

    public void injectComponent(SegmentDelimiterFactory[] segmentDelimiterFactories)

### injectComponent

    public void injectComponent(RepeatDelimiterFactory[] repeatDelimiterFactories)

### injectComponent

    public void injectComponent(FieldDelimiterFactory[] fieldDelimiterFactories)

### injectComponent

    public void injectComponent(NameDelimiterFactory[] nameDelimiterFactories)

### injectComponent

    public void injectComponent(SubfieldDelimiterFactory[] subfieldDelimiterFactories)

### injectComponent

    public void injectComponent(QuoteSymbol quoteSymbol)

### injectComponent

    public void injectComponent(CommentStarter[] commentStarters)

### setFlushRecordOnWrite

    public void setFlushRecordOnWrite(java.lang.String value)

### setIndexBase

    public void setIndexBase(int indexBase)

### setZeroBased

    public void setZeroBased(boolean zeroBased)

### setTrim

    public void setTrim(java.lang.String value)

### setTrimLeading

    public void setTrimLeading(java.lang.String trimLeading)

### setTrimTrailing

    public void setTrimTrailing(java.lang.String trimTrailing)

### setTrimWithinQuotes

    public void setTrimWithinQuotes(java.lang.String value)

### setTrimLeadingWithinQuotes

    public void setTrimLeadingWithinQuotes(java.lang.String trimLeadingWithinQuotes)

### setTrimTrailingWithinQuotes

    public void setTrimTrailingWithinQuotes(java.lang.String trimTrailingWithinQuotes)

### setTrimQuoted

    public void setTrimQuoted(java.lang.String value)

### setCountPositionsInBytes

    public void setCountPositionsInBytes(java.lang.String countPositionsInBytes)

### setQuote

    public void setQuote(java.lang.String value)

### setOmitFinalFieldDelimiter

    public void setOmitFinalFieldDelimiter(java.lang.String omitFinalFieldDelimiter)

### setIgnoreTrailingEmptyLines

    public void setIgnoreTrailingEmptyLines(java.lang.String ignoreTrailingEmptyLines)

### setIgnoreEmptyLines

    public void setIgnoreEmptyLines(java.lang.String ignoreEmptyLines)

### setLineDelimited

    public void setLineDelimited(java.lang.String lineDelimited)

### setOmitFinalRepeatDelimiter

    public void setOmitFinalRepeatDelimiter(java.lang.String omitFinalRepeatDelimiter)

### setAlwaysQuote

    public void setAlwaysQuote(java.lang.String value)

### setPadCharacter

    public void setPadCharacter(java.lang.String padCharacter)

### setJustify

    public void setJustify(java.lang.String value)

### assembleFlatFileOptions

    public FlatFileOptionsFactory assembleFlatFileOptions(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD